Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
E17 has landed! Was: E17 is coming? (Part 7)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, ... 12, 13, 14  Next  
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
sera
Developer
Developer


Joined: 29 Feb 2008
Posts: 992
Location: CET

PostPosted: Sun Jun 05, 2011 2:20 pm    Post subject: Reply with quote

tjekke dine lommer wrote:
Amokbunny wrote:
I'm using a hal-free system here, but for these reasons always had the hal USE flag enabled for e_dbus. Since some recent update, portage forces (-hal) on e_dbus, so no ehal module is built. In principle fine, I couldn't care less, but i.E. the e_places module still depends on ehal. Any ideas how to work around that, or just sit and wait for the updated modules?


Is there any way to circumvent that and why would portage force that kind of stupid behavior? just interested.


The hal use flag is use masked. I can't see a legitimate reason for this either. It's almost like "KDE got hal free, let's break others environments"

Portage allows you to override your profile in /etc/portage/profile. It's generally really bad to do so, but in such a case the only way.
Back to top
View user's profile Send private message
tjekke dine lommer
n00b
n00b


Joined: 28 May 2011
Posts: 20

PostPosted: Mon Jun 06, 2011 11:05 am    Post subject: Reply with quote

Seems to be a bit more complicated than that, unfortunately.

Code:
[ebuild N] sys-apps/dmidecode-2.10
[ebuild R] dev-libs/libgcrypt-1.4.6 USE="static-libsm*"
[ebuild R] dev-libs/popt-1.16-r1 USE="static-libs*"
[ebuild R] dev-libs/libgpg-error-1.10 USE="static-libs*"
[ebuild N] sys-power/upower-0.9.9 USE="-debug -doc -introspection -ios"
[ebuild N] sys-fs/cryptsetup-1.1.3-r3 USE="nls -dynamic -selinux"
[ebuild N] sys-apps/hal-0.5.14-r4 USE="X crypt -acpi -apm -debug -dell -disk-partition -doc -laptop -selinux"
[ebuild N] app-misc/hal-info-20091130
[ebuild R] dev-libs/e_dbus-9999 USE="hal*"
[blocks B] sys-apps/hal ("sys-apps/hal" is blocking sys-power/upower-0.9.9)

   Error: The above package list contains packages which cannot be
   installed at the same time on the same system.

  (sys-power/upower-0.9.9, ebuild scheduled for merge) pulled in by
    sys-power/upower required by (dev-libs/e_dbus-9999, ebuild scheduled for merge)

  (sys-apps/hal-0.5.14-r4, ebuild scheduled for merge) pulled in by
    sys-apps/hal required by (dev-libs/e_dbus-9999, ebuild scheduled for merge)
    >=sys-apps/hal-0.5.10 required by (app-misc/hal-info-20091130, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked
Back to top
View user's profile Send private message
Xtroce
n00b
n00b


Joined: 27 Apr 2004
Posts: 12

PostPosted: Mon Jun 06, 2011 12:37 pm    Post subject: Reply with quote

just rebuild every package that previously had hal use flag enabled without it. Then e_dbus shouldn't depend on it anymore. my system hasn't got one package depending on hal, just did a rebuild with USE=-hal afterwards no package should depend on it anymore. Hal is deprecated anyway so the best thing is to throw it out ;)
_________________
In the land of the blind, the one eyed man is king!
Back to top
View user's profile Send private message
tjekke dine lommer
n00b
n00b


Joined: 28 May 2011
Posts: 20

PostPosted: Mon Jun 06, 2011 4:49 pm    Post subject: Reply with quote

Xtroce wrote:
just rebuild every package that previously had hal use flag enabled without it. Then e_dbus shouldn't depend on it anymore. my system hasn't got one package depending on hal, just did a rebuild with USE=-hal afterwards no package should depend on it anymore. Hal is deprecated anyway so the best thing is to throw it out ;)

The thing is I WANT to compile with hal enabled. Compiling e_dbus with hal enabled is needed to install x11-plugins/e_modules-places, which is my ultimate purpose. But it seems one can't really do that.. hal blocks sys-power/upower-0.9.9, which itself is a dependency for e_dbus. Paradox.
Back to top
View user's profile Send private message
FizzyWidget
Veteran
Veteran


Joined: 21 Nov 2008
Posts: 1113
Location: 127.0.0.1

PostPosted: Wed Jun 08, 2011 8:14 pm    Post subject: Which overlay for E17? Reply with quote

I see in the wiki for e17 it states there are two overlays - Vapier's Overlay and niifaq Overlay, which is the better one to use? Or does it not make a difference
_________________
I know 43 ways to kill with a SKITTLE, so taste my rainbow bitch.
Back to top
View user's profile Send private message
Veldrin
Veteran
Veteran


Joined: 27 Jul 2004
Posts: 1942
Location: Zurich, Switzerland

PostPosted: Wed Jun 08, 2011 10:40 pm    Post subject: Reply with quote

what about the enlightenment overlay?
(I cannot find the other 2 inside the default layman set)

just my .02$
V.
_________________
read the portage output!
If my answer is too concise, ask for an explanation.
Back to top
View user's profile Send private message
FizzyWidget
Veteran
Veteran


Joined: 21 Nov 2008
Posts: 1113
Location: 127.0.0.1

PostPosted: Thu Jun 09, 2011 7:50 am    Post subject: Reply with quote

indeed, the wiki's need to be updated :/
_________________
I know 43 ways to kill with a SKITTLE, so taste my rainbow bitch.
Back to top
View user's profile Send private message
tomk
Administrator
Administrator


Joined: 23 Sep 2003
Posts: 7219
Location: Sat in front of my computer

PostPosted: Thu Jun 09, 2011 8:24 am    Post subject: Reply with quote

Merged previous three posts.
_________________
Search | Read | Answer | Report | Strip
Back to top
View user's profile Send private message
FizzyWidget
Veteran
Veteran


Joined: 21 Nov 2008
Posts: 1113
Location: 127.0.0.1

PostPosted: Thu Jun 09, 2011 12:41 pm    Post subject: Reply with quote

Anyone know where i can get theme here? http://bit.ly/mlalpL seems the links are dead on the page :(
_________________
I know 43 ways to kill with a SKITTLE, so taste my rainbow bitch.
Back to top
View user's profile Send private message
genstorm
Advocate
Advocate


Joined: 05 Apr 2007
Posts: 2463
Location: Austria

PostPosted: Fri Jun 10, 2011 10:05 pm    Post subject: Reply with quote

Coming from yet another disappointing session with tired old kde-4.6.3 I must say e17 feels like a fresh breeze...
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Clad in Sky
l33t
l33t


Joined: 04 May 2007
Posts: 778
Location: Germany

PostPosted: Sun Jun 19, 2011 6:02 am    Post subject: Reply with quote

Dark Foo wrote:
Anyone know where i can get theme here? http://bit.ly/mlalpL seems the links are dead on the page :(


Here? http://exchange.enlightenment.org/theme/show/424
Not sure if it is really the same, though.

------

I still have a problem with my keyboard. Some keys are not interpreted correclty. Letters and numbers all work, as does the numpad, but the 4 arrow keys, print, scroll lock break etc. and most annoyingly alt gr are not recognized. Thus I'm having a hard time writing emails (@ won't work), coding ({[]} won't work) etc.. This is a pity because I still have to use Gnome until this is resolved.
Any hints as to what might be causing this?
_________________
Kali Ma
Now it's autumn of the aeons
Dance with your sword
Now it's time for the harvest
Back to top
View user's profile Send private message
nost4r
Apprentice
Apprentice


Joined: 08 Oct 2006
Posts: 164
Location: Bordeaux

PostPosted: Mon Jun 27, 2011 6:38 pm    Post subject: Reply with quote

Why did I can not install Engage ? It is hard masked
Back to top
View user's profile Send private message
cach0rr0
Moderator
Moderator


Joined: 13 Nov 2008
Posts: 4121
Location: Houston, Republic of Texas

PostPosted: Mon Jun 27, 2011 6:48 pm    Post subject: Reply with quote

nost4r wrote:
Why did I can not install Engage ? It is hard masked


it should be masked by missing keyword, not hard-masked

i just synced after i hit 'reply', and:

Code:

ricker ~ # emerge -pv e_modules-engage

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   *] x11-plugins/e_modules-engage-9999  USE="nls -doc -static-libs" 0 kB [1]

Total: 1 package (1 reinstall), Size of downloads: 0 kB
Portage tree and overlays:
 [0] /usr/portage
 [1] /var/lib/layman/enlightenment

_________________
Lost configuring your system?
dump lspci -n here | see Pappy's guide | Link Stash
Back to top
View user's profile Send private message
nost4r
Apprentice
Apprentice


Joined: 08 Oct 2006
Posts: 164
Location: Bordeaux

PostPosted: Mon Jun 27, 2011 7:00 pm    Post subject: Reply with quote

I have to add engage myself in /etc/portage/package.keywords/enlightenment ?
Like Entrance, they are not in the overlay.

edit : they are in the overlay because I can emerge them , but they are not in the package keywords from layman
Back to top
View user's profile Send private message
cach0rr0
Moderator
Moderator


Joined: 13 Nov 2008
Posts: 4121
Location: Houston, Republic of Texas

PostPosted: Tue Jun 28, 2011 7:00 am    Post subject: Reply with quote

assuming you've already created the enlightenment symlink at /etc/portage/package.keywords/enlightenment

Code:

echo "x11-plugins/e_modules-engage * ~* **" >> /etc/portage/package.keywords/enlightenment
emerge -v e_modules-engage

_________________
Lost configuring your system?
dump lspci -n here | see Pappy's guide | Link Stash
Back to top
View user's profile Send private message
nost4r
Apprentice
Apprentice


Joined: 08 Oct 2006
Posts: 164
Location: Bordeaux

PostPosted: Tue Jun 28, 2011 7:25 am    Post subject: Reply with quote

Yes, I did that yesterday,thanks you.


Themes which are in the svn, we can install them with emerge ?
Like adding x11-theme/efenniht in package keywords ?
Back to top
View user's profile Send private message
ppurka
Advocate
Advocate


Joined: 26 Dec 2004
Posts: 3205

PostPosted: Tue Jun 28, 2011 9:43 am    Post subject: Reply with quote

What overlay are you using? there is no ebuild for installing efenniht from enlightenment overlay. If you want to install efenniht then you can checkout the svn yourself.
Code:
svn co http://svn.enlightenment.org/svn/e/trunk/THEMES/efenniht
cd efenniht
make efenniht.edj
make install-e-home

_________________
emerge --quiet redefined | E17 vids: I, II
Back to top
View user's profile Send private message
nost4r
Apprentice
Apprentice


Joined: 08 Oct 2006
Posts: 164
Location: Bordeaux

PostPosted: Tue Jun 28, 2011 3:28 pm    Post subject: Reply with quote

Thanks you , that great after a long time to understand that didnt working because I was logged at terminal in root.

I am trying to make working composite with opengl engine instead of software but I get artefacts on the desktop, it is not usable. I am using opensource driver ATI.


Ah, and what about my menu and engage who is missing icons for some app.

Thanks you and sorry for theses questions !
Back to top
View user's profile Send private message
ppurka
Advocate
Advocate


Joined: 26 Dec 2004
Posts: 3205

PostPosted: Tue Jun 28, 2011 4:48 pm    Post subject: Reply with quote

nost4r wrote:
Thanks you , that great after a long time to understand that didnt working because I was logged at terminal in root.
I don't understand. You finally have efenniht working?
Quote:
I am trying to make working composite with opengl engine instead of software but I get artefacts on the desktop, it is not usable. I am using opensource driver ATI.
That's either a driver problem, or your graphics card can't handle composite well. e17 composite with opengl has less (probably none) workarounds for drivers which don't perform well. If you get artifacts then don't use the composite module.
Quote:
Ah, and what about my menu and engage who is missing icons for some app.
Set an icon theme from Settings -> Look -> icon theme.
_________________
emerge --quiet redefined | E17 vids: I, II
Back to top
View user's profile Send private message
nost4r
Apprentice
Apprentice


Joined: 08 Oct 2006
Posts: 164
Location: Bordeaux

PostPosted: Tue Jun 28, 2011 5:14 pm    Post subject: Reply with quote

ppurka wrote:

I don't understand. You finally have efenniht working?
Yes
Quote:
That's either a driver problem, or your graphics card can't handle composite well. e17 composite with opengl has less (probably none) workarounds for drivers which don't perform well. If you get artifacts then don't use the composite module.
I have a ati hd5870 mobility, it is working great with composite engine software, when i Set engine opengl, it is bad. Now I tried to desactivate composite in modules and it is again less usable than with opengl.It is ok, I stay with composite software.
Quote:
Set an icon theme from Settings -> Look -> icon theme.
Justly ! Im looking for an icon theme.
edit : Ah I am remembering something ! When I set a widget clock at the desktop, when I reboot It will not reappear at next session.

And ( again sorry ) I have emerged Eterm but it is not in the menu !

Thanks you for your time.
Back to top
View user's profile Send private message
ppurka
Advocate
Advocate


Joined: 26 Dec 2004
Posts: 3205

PostPosted: Tue Jun 28, 2011 5:57 pm    Post subject: Reply with quote

nost4r wrote:
Ah I am remembering something ! When I set a widget clock at the desktop, when I reboot It will not reappear at next session.
You have probably come across this bug:
http://trac.enlightenment.org/e/ticket/687
Quote:
And ( again sorry ) I have emerged Eterm but it is not in the menu !
You need to make a desktop file for Eterm. Easiest way is to launch it once using Run Everything and then drag and drop the window icon to ibar. Then
1. crosscheck the command
2. put in something like "Application;System;Utility;" in the Categories field
and you will be all set.
_________________
emerge --quiet redefined | E17 vids: I, II
Back to top
View user's profile Send private message
nost4r
Apprentice
Apprentice


Joined: 08 Oct 2006
Posts: 164
Location: Bordeaux

PostPosted: Tue Jun 28, 2011 6:57 pm    Post subject: Reply with quote

edit : Yes thanks you it is working.

Where can I find icons for these app ?
I cannt find on internet.
Back to top
View user's profile Send private message
ppurka
Advocate
Advocate


Joined: 26 Dec 2004
Posts: 3205

PostPosted: Wed Jun 29, 2011 2:36 am    Post subject: Reply with quote

Code:
~> eix -c icon-theme
[N] lxde-base/lxde-icon-theme (0.0.1): nuoveXT2 iconset
[N] x11-themes/echo-icon-theme (~0.3.89.0_pre20081031): SVG icon theme from the Echo Icon project
[N] x11-themes/faenza-icon-theme (0.7): A scalable icon theme called Faenza
[N] x11-themes/gargantuan-icon-theme (~1.7): Gargantuan Icon Theme
[N] x11-themes/gnome-icon-theme (2.91.7): GNOME default icon themes
[N] x11-themes/gnome-icon-theme-extras (2.30.1): GNOME 2 icon theme extras
[N] x11-themes/gnome-icon-theme-symbolic (~3.0.0): GNOME 2 symbolic icon themes
[I] x11-themes/hicolor-icon-theme (0.12@02/22/2011): Fallback theme for the freedesktop icon theme specification
[N] x11-themes/human-icon-theme (~0.36): A nice and well polished icon theme
[N] x11-themes/nou-icon-theme (~09.02.08): A scalable icon theme called Nou
[N] x11-themes/nuovo-icon-theme (~0.5): A scalable icon theme called Nuovo
[N] x11-themes/tangerine-icon-theme (0.26): a derivative of the standard Tango theme, using a more orange approach
[N] x11-themes/tango-icon-theme (0.8.90): SVG and PNG icon theme from the Tango project
[N] x11-themes/tango-icon-theme-extras (0.1.0-r1): Tango icons for iPod Digital Audio Player (DAP) devices and the Dell Pocket DJ DAP.
[N] x11-themes/xfce-gant-icon-theme (3.9_p6): Xfce Gant Icon Theme
[N] x11-themes/yasis-icon-theme (~0.4.2): A scalable icon theme called Yasis
Found 16 matches.

http://kde-look.org/index.php?xcontentmode=27
_________________
emerge --quiet redefined | E17 vids: I, II
Back to top
View user's profile Send private message
nost4r
Apprentice
Apprentice


Joined: 08 Oct 2006
Posts: 164
Location: Bordeaux

PostPosted: Fri Jul 01, 2011 2:36 pm    Post subject: Reply with quote

Thanks you.

It is recommended to update how often ?
Once a week ?
Back to top
View user's profile Send private message
ppurka
Advocate
Advocate


Joined: 26 Dec 2004
Posts: 3205

PostPosted: Fri Jul 01, 2011 3:01 pm    Post subject: Reply with quote

Yeah. once a week would be just fine. Once a month is also fine if you don't want to upgrade too frequently.
_________________
emerge --quiet redefined | E17 vids: I, II
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Goto page Previous  1, 2, 3, ... 12, 13, 14  Next
Page 2 of 14

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum